MG ZR Forums banner

1 - 1 of 1 Posts

·
ZR wannabee!
Joined
·
2,248 Posts
Discussion Starter · #1 ·
hey peeps, recently got a ipod touch, an the firmware version is 2.2.1 but most apps & games require 3.0 or higher! ive got the newest version of iTunes and it says my firmware version is up to date? ive tried downloading a few different restore upgrade things and cant find any to work?

anyone had this problem an resolved it??
 
1 - 1 of 1 Posts
Top